<p *ngFor="let product of (cartProducts$ |async) ; trackBy:trackByFnc">
  <app-cart-product [cartProduct]="product"></app-cart-product>
</p>
<button (click)="checkout()">buy</button>
<p>error:{{error|async}}</p>
